Listar áreas de membros
curl --request GET \
--url https://api.cakto.com.br/public_api/members/areas/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/members/areas/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/members/areas/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/areas/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/areas/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/members/areas/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/areas/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"product": "<string>",
"logo": "<string>",
"logo_original": "<string>",
"banner": "<string>",
"banner_original": "<string>",
"banner_mobile": "<string>",
"banner_mobile_original": "<string>",
"support_email": "jsmith@example.com",
"copy_status": "copying",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"status": "draft",
"description": "<string>",
"comments_enabled": true,
"always_show_showcase": true,
"single_card_in_student_list": true,
"show_students_count": true,
"show_free_lessons_row": true,
"public_showcase": true,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": true,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"screen_capture_blocked": true,
"ebook_watermark_enabled": true,
"video_watermark_enabled": true,
"watermark_fields": [
"email"
]
}
]
}Áreas
Listar áreas de membros
As áreas de membros (Members V3) dos seus produtos.
GET
/
public_api
/
members
/
areas
/
Listar áreas de membros
curl --request GET \
--url https://api.cakto.com.br/public_api/members/areas/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/members/areas/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/members/areas/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/areas/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/areas/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/members/areas/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/areas/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"product": "<string>",
"logo": "<string>",
"logo_original": "<string>",
"banner": "<string>",
"banner_original": "<string>",
"banner_mobile": "<string>",
"banner_mobile_original": "<string>",
"support_email": "jsmith@example.com",
"copy_status": "copying",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"status": "draft",
"description": "<string>",
"comments_enabled": true,
"always_show_showcase": true,
"single_card_in_student_list": true,
"show_students_count": true,
"show_free_lessons_row": true,
"public_showcase": true,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": true,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"screen_capture_blocked": true,
"ebook_watermark_enabled": true,
"video_watermark_enabled": true,
"watermark_fields": [
"email"
]
}
]
}Escopo
read members
Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Query Parameters
Was this page helpful?